# H245_MultiplexCapability Class Reference

`#include <h245.h>`

List of all members.

## Public Types

enum | Choices { e_nonStandard, e_h222Capability, e_h223Capability, e_v76Capability, e_h2250Capability, e_genericMultiplexCapability }

## Public Member Functions

| H245_MultiplexCapability (unsigned tag=0, TagClass tagClass=UniversalTagClass)
| operator H245_NonStandardParameter & ()
| operator const H245_NonStandardParameter & () const
| operator H245_H222Capability & ()
| operator const H245_H222Capability & () const
| operator H245_H223Capability & ()
| operator const H245_H223Capability & () const
| operator H245_V76Capability & ()
| operator const H245_V76Capability & () const
| operator H245_H2250Capability & ()
| operator const H245_H2250Capability & () const
| operator H245_GenericCapability & ()
| operator const H245_GenericCapability & () const
PBoolean | CreateObject ()
PObject * | Clone () const

## Member Enumeration Documentation

enum H245_MultiplexCapability::Choices

Enumerator:

  e_nonStandard |
  e_h222Capability |
  e_h223Capability |
  e_v76Capability |
  e_h2250Capability |
  e_genericMultiplexCapability |

## Constructor & Destructor Documentation

H245_MultiplexCapability::H245_MultiplexCapability | ( | unsigned | tag = `0`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

H245_MultiplexCapability::operator H245_NonStandardParameter & | ( |  | ) |

H245_MultiplexCapability::operator const H245_NonStandardParameter & | ( |  | ) | const

H245_MultiplexCapability::operator H245_H222Capability & | ( |  | ) |

H245_MultiplexCapability::operator const H245_H222Capability & | ( |  | ) | const

H245_MultiplexCapability::operator H245_H223Capability & | ( |  | ) |

H245_MultiplexCapability::operator const H245_H223Capability & | ( |  | ) | const

H245_MultiplexCapability::operator H245_V76Capability & | ( |  | ) |

H245_MultiplexCapability::operator const H245_V76Capability & | ( |  | ) | const

H245_MultiplexCapability::operator H245_H2250Capability & | ( |  | ) |

H245_MultiplexCapability::operator const H245_H2250Capability & | ( |  | ) | const

H245_MultiplexCapability::operator H245_GenericCapability & | ( |  | ) |

H245_MultiplexCapability::operator const H245_GenericCapability & | ( |  | ) | const

PBoolean H245_MultiplexCapability::CreateObject | ( |  | ) |

PObject* H245_MultiplexCapability::Clone | ( |  | ) | const

The documentation for this class was generated from the following file:

- h245.h